﻿using System.Collections.ObjectModel;
using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<Person> collection = new ObservableCollection<Person>();

            collection.Add
            (
                new Person
                {
                    CompanyName  = "회사1",
                    FirstName    = "길동",
                    LastName     = "홍",
                    EmailAddress = "id01@abc.com",
                    Phone        = "000-0000-0000",
                    SalesPerson  = "김철수"
                }
            );

            collection.Add
            (
                new Person
                {
                    CompanyName  = "회사1",
                    FirstName    = "동구",
                    LastName     = "강",
                    EmailAddress = "id02@abc.com",
                    Phone        = "000-0000-0000",
                    SalesPerson  = "김철수"
                }
            );

            collection.Add
            (
                new Person
                {
                    CompanyName  = "회사2",
                    FirstName    = "희수",
                    LastName     = "김",
                    EmailAddress = "id03@abc.com",
                    Phone        = "000-0000-0000",
                    SalesPerson  = "이영희"
                }
            );

            this.dataGrid.ItemsSource = collection;
        }

        #endregion
    }
}